@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@1,300&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Baloo+Da+2:wght@500&family=Josefin+Sans:ital,wght@0,100;0,200;0,300;0,400;1,100;1,200;1,300;1,400&display=swap');

:root {

    --fontPrimary: 'Baloo Da 2', sans-serif;
    --fontSecundary: 'Josefin Sans', sans-serif;
    --fontTerceiry: 'Franklin Gothic Medium', sans-serif;

    --bg:#0b0b0bf8;
      --panel:#0f0f10;
      --accent:#e11b23; /* vermelho vibrante */
      --accent-2:#ff3945;
      --muted:#9a9a9a;
      --glass: rgba(255,255,255,0.03);
      --card-shadow: 0 8px 30px rgba(0,0,0,0.7);
      --radius:16px;
      --mono: 'SFMono-Regular', ui-monospace, Monaco, 'Roboto Mono', 'Courier New', monospace;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: var(--fontPrimary);
    font-size: 14px;
    user-select: none;
}

html {
    width: 100%;
    height: 100%;
    scroll-behavior: smooth;
    scroll-padding-top: 90px;
    transition-duration: 2.5s smooth;
}

body {
    position: relative;
       background: radial-gradient(1200px 600px at 10% 20%, rgba(225,27,35,0.06), transparent 8%),
                  radial-gradient(1000px 500px at 90% 80%, rgba(255, 57, 70, 0.164), transparent 8%),
                  var(--bg);
      font-family: Inter, system-ui, -apple-system, 'Segoe UI', Roboto, 'Helvetica Neue', Arial;
      -webkit-font-smoothing:antialiased;
      -moz-osx-font-smoothing:grayscale;
  
    background-size: cover;
    overflow: overlay;
}
html::-webkit-scrollbar {
    width: 7px;
}

html::-webkit-scrollbar-thumb {
    background-color: #0f0c0c9d;
    background-clip: content-box;
    border: 2px solid transparent;
    border-radius: 5px;
}
html::-webkit-scrollbar-track {
    background-color: #e9e8e8f8;
    border-radius: 8px;
}
